package it.gulch.ld2012.hello;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends Activity
{

	// Chiamato alla creazione dell'activity
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		// Indica quale layout utilizzare
		setContentView(R.layout.activity_main);

		// Cerco il pulsante chiamato "button1"
		Button button = (Button) findViewById(R.id.button1);

		// applico un listener al click sul pulsante
		button.setOnClickListener(new OnClickListener() {

			public void onClick(View v)
			{
				// Creo un toast e lo mostro
				Toast.makeText(MainActivity.this, "Hello, Droids!", Toast.LENGTH_LONG).show();
			}
		});

		Button button2 = (Button) findViewById(R.id.button2);
		button2.setOnClickListener(new OnClickListener() {

			public void onClick(View v)
			{
				// Apro un'altra activity
				Intent i = new Intent(MainActivity.this, SecondActivity.class);
				startActivity(i);
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}
}
